Subject: RE: Gen-ART LC review of draft-ietf-ccamp-rfc5787bis-05

From: "Roni Even" <[email-masked]>
Date: Tue, 9 Oct 2012 17:32:17 +0200

Andy,

Thanks,

I am OK

Roni

From: Malis, Andrew G (Andy) [mailto:[email-masked]] 
Sent: 09 October, 2012 2:55 AM
To: Roni Even; [email-masked]
Cc: [email-masked]; [email-masked]; Malis, Andrew G (Andy)
Subject: Re: Gen-ART LC review of draft-ietf-ccamp-rfc5787bis-05

Roni,

Thanks for your review, and sorry for the delay on the response, but we've
also been working on incorporating other changes to the draft as well. 

To answer your question on section 6.1, that was a good catch. That should
have said "other than the first", rather than "preceding the first". This
will be corrected.

To answer your question on section 10, the text is repeated in the
subsections to make life easier for IANA, since they would probably have
replicated it themselves anyway in the three registry listings.

On your last comment, we agree with you that the more familiar reader will
not have a problem.

Thanks again,

Andy

From: Roni Even <[email-masked]>
Date: Monday, August 13, 2012 14:07 
To: "[email-masked]"
<[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Gen-ART LC review of draft-ietf-ccamp-rfc5787bis-05
Resent-To: <[email-masked]>, Adrian Farrell <[email-masked]>,
Andrew Malis <[email-masked]>, <[email-masked]>,
<[email-masked]>, <[email-masked]>

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments you
may receive.

Document: draft-ietf-ccamp-rfc5787bis-05.

Reviewer: Roni Even

Review Date:2012-8-12

IETF LC End Date: 2012-8-17

IESG Telechat date:

Summary: This draft is almost ready for publication as a standard track RFC.

Major issues:

Minor issues:

In section 6.1 " If specified more than once, instances preceding the first
will be ignored and condition SHOULD be logged for possible action by the
network operator."  I am not sure what is meant by preceding the first.

Nits/editorial comments:

1.	The following note appears in section 10.1, 10.2 and 10.3. "Note
that the same values for the Inter-RA Export Upward sub-TLV and the Inter-RA
Export Downward Sub-TLV MUST be used when they appear in the Link TLV, Node
Attribute TLV, and Router Address TLV." - why not have it in section 10
before section 10.1.
2.	I saw in appendix  B that one of the changes from RFC 5787 was to
clarify the terminology before defining extensions, I would have found it
easier to read if the ASON hierarchy and the relation to OSPF in section 2
were presented in figures. This was more an issue to me as a reader not
familiar with the terminology and I would like to think that the more
familiar reader will not have problem.

---

From: "Malis, Andrew G \(Andy\)" <[email-masked]>
Date: Mon, 8 Oct 2012 20:55:12 -0400

Roni,

Thanks for your review, and sorry for the delay on the response, but we've also been working on incorporating other changes to the draft as well.

To answer your question on section 6.1, that was a good catch. That should have said "other than the first", rather than "preceding the first". This will be corrected.

To answer your question on section 10, the text is repeated in the subsections to make life easier for IANA, since they would probably have replicated it themselves anyway in the three registry listings.

On your last comment, we agree with you that the more familiar reader will not have a problem.

Thanks again,
Andy

From: Roni Even <[email-masked]<mailto:[email-masked]>>
Date: Monday, August 13, 2012 14:07
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Gen-ART LC review of draft-ietf-ccamp-rfc5787bis-05
Resent-To: <[email-masked]<mailto:[email-masked]>>, Adrian Farrell <[email-masked]<mailto:[email-masked]>>, Andrew Malis <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments you may receive.

Reviewer: Roni Even

Review Date:2012–8–12

IETF LC End Date: 2012–8–17

IESG Telechat date:

Major issues:

Minor issues:
In section 6.1 “ If specified more than once, instances preceding the first will be ignored and condition SHOULD be logged for possible action by the network operator.”  I am not sure what is meant by preceding the first.

Nits/editorial comments:

 1.  The following note appears in section 10.1, 10.2 and 10.3. “Note that the same values for the Inter-RA Export Upward sub-TLV and the Inter-RA Export Downward Sub-TLV MUST be used when they appear in the Link TLV, Node Attribute TLV, and Router Address TLV.” – why not have it in section 10 before section 10.1.
 2.  I saw in appendix  B that one of the changes from RFC 5787 was to clarify the terminology before defining extensions, I would have found it easier to read if the ASON hierarchy and the relation to OSPF in section 2 were presented in figures. This was more an issue to me as a reader not familiar with the terminology and I would like to think that the more familiar reader will not have problem.

---

From: "Roni Even" <[email-masked]>
Date: Wed, 17 Oct 2012 12:01:03 +0200

Andy,

Thanks

Roni

Roni,

Thanks again,

Andy

Reviewer: Roni Even

Review Date:2012-8-12

IESG Telechat date:

 

Major issues:

Minor issues:

 

Nits/editorial comments: